#!/bin/bash

#Show IP ADDR of $1 on LCD

[ -z "$1" ] && { echo "Missing interface" >&2; exit 1; }

intf=$1
if [ "${intf}" = "eth0" ]; then
    pos=0
else
    pos=2
fi

(
  echo -ne "\x1b[Lx0y${pos};${intf} "
  IP=`ip -4 address ls dev ${intf} | sed -nu -r 's/.*inet[[:space:]]+([[:digit:].]+).*/\1/p' 2>/dev/null`
  echo "${IP}"
) > /dev/lcd
